// BaseColor.frag

#version 120
//#extension GL_EXT_gpu_shader4 : enable

uniform sampler2D textureImage;
uniform int textureMode;
uniform int useTexAlpha;
uniform vec4 gamma;

varying float alphaBase;

void main (void)
{
    vec4 texColor = vec4(1.0,1.0,1.0,1.0); 
    if (textureMode == 1)
	texColor = texture2D(textureImage, gl_TexCoord[0].st);

    if (gamma[0] != 0)
	texColor = pow(texColor, gamma);

    //float alpha = gl_FrontLightProduct[0].ambient[3];// * texColor[3];
    float alpha = alphaBase;
    if (useTexAlpha == 1){
	alpha *= texColor[3];
	if (alpha == 0) discard;
    }
    //if (alpha > 1.0) alpha = 1.0;
    
    gl_FragColor = texColor;

    gl_FragColor[3] = alpha;
}
